Skip to main content
Resource Center/Network Service/Network Service Operations/Security Group Operations

SetVmNicSecurityGroup

SetVmNicSecurityGroup

PUT/zstack/v1/security-groups/nics/{vmNicUuid}/actions

Operation ID

SetVmNicSecurityGroup

Since

4.7.21

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • vmNicUuid
    StringRequired

    The VM NIC UUID.

Body Fields

  • refs
    ListRequired

    The security group attached to the NIC.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    SecurityGroupInventoryRequired

    See inventory.

    • priority
      IntegerRequired

      The priority of the security group.

    • vmNicUuid
      StringRequired

      The VM NIC UUID.

    • securityGroupUuid
      StringRequired

      The security group UUID.

    • vmInstanceUuid
      StringRequired

      The VM instance UUID.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.